apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

metadata:
  name: hgzero-base

resources:
  # Common resources
  - common/cm-common.yaml
  - common/secret-common.yaml
  - common/secret-imagepull.yaml
  - common/ingress.yaml

  # User service
  - user/deployment.yaml
  - user/service.yaml
  - user/secret-user.yaml

  # Meeting service
  - meeting/deployment.yaml
  - meeting/service.yaml
  - meeting/secret-meeting.yaml

  # STT service
  - stt/deployment.yaml
  - stt/service.yaml
  - stt/secret-stt.yaml

  # AI service
  - ai/deployment.yaml
  - ai/service.yaml
  - ai/secret-ai.yaml

  # Notification service
  - notification/deployment.yaml
  - notification/service.yaml
  - notification/secret-notification.yaml

images:
  - name: acrdigitalgarage02.azurecr.io/hgzero/user
    newTag: latest
  - name: acrdigitalgarage02.azurecr.io/hgzero/meeting
    newTag: latest
  - name: acrdigitalgarage02.azurecr.io/hgzero/stt
    newTag: latest
  - name: acrdigitalgarage02.azurecr.io/hgzero/ai
    newTag: latest
  - name: acrdigitalgarage02.azurecr.io/hgzero/notification
    newTag: latest
